% Calculate the overall value for a given architecture.

function overall = Overall_Objective(objectives,refreshFis)
persistent fuzzyEngine;

% FIS file name
fisFileName = 'Overall_Objective.fis';

% Objective indices
obj_Affordability = 1;
obj_Performance   = 2;
obj_Scalability   = 3;
obj_Flexibility   = 4;
obj_Robustness    = 5;

% Evaluate objectives using fuzzy inference system
if (refreshFis)
    fuzzyEngine = readfis(fisFileName);
end

% Return results
overall = evalfis(objectives,fuzzyEngine);
