% Define SetInterfaceF() function
% Sets the interface in the chromosome to the specified value

function updated = SetInterfaceF( ...
    architecture,numSystems,directedInterfaces,i,j,val)

updated = architecture;
% If not same system
if (i ~= j)
    % Index of interface in chromosome
    if (directedInterfaces)
        if (j < i)
            jj = j+1;
        else
            jj = j;
        end
        k = i*(numSystems-1) + jj;
    else
        m = min(i,j);
        k = m*numSystems - m*(m-1)/2 + abs(i-j);
    end
    updated(k) = val;
end
